#ifndef __all_h__
#define __all_h__
int main(int, char **);
unsigned getkey(void);
int sorttable(void);
int ggetstr(char *, char *);
int entkey(void);
int getbyte(void);
void macabort(void);
void testdraw(void);
int getquery(char *);
int getnumquery(char *, int *, int, int);
int getupper(void);
int getyesno(char *);
int secondkill(void);
int secondpush(void);
void options(void);
long int farcoreleft(void);
char *cwd(void);
int getfname(char *, char *);
int queryreplace(int);
void setlevel(int, int);
int isXwindows(void);
void pipehandler(int);
int readpipe(char *);
int getpipe(void);
void getSHELL(void);
void runprogram(char *, int);
void runWinprogram(char *);
void setdetab(void);
void settabs(void);
void settoggle(char *, int *);
void shrinkwindow(void);
void setwindowsize(int, int);
unsigned int foreign(int);
unsigned char *curchar(void);
int makeupper(char *);
int makelower(char *);
int casechange(int);
void copydefaultfile(void);
void pressmouse(void);
void releasemouse(int);
void setmouse(int);
int mouseexists(void);
int mousekeys(void);
void convert2int(char *);
void hexstrToBase10str(char *);
void octstrToBase10str(char *);
int MYisdigit(int);
int hexdigit(int);
int octdigit(int);
void setSYSone(void);
void PUSHnodisp(void);
void POPnodisp(void);
LLONG absLL(LLONG);
LLONG getatoiLL(void);
void getbackupfname(char *);
void setbackups(void);
void setupcolors(void);
char *strstr(const char *, const char *);
void killUserTools(void);
void setupwindow(int);
unsigned int menu(void);
void opnmain(void);
int opnselection(int, int *);
void hilite(int, int);
unsigned int tounsignedupper(unsigned int);
int translate(unsigned int, int *, int);
int menusearch(int, int, int);
void DisplayKeySeq(char *, char *);
int scrollingwindow(char **, struct menu *, int, int, int, int *, char *, int, int);
void scrollcputs(int, char *);
void shellSORT(char **, int);
void removefile(char *, char *, int *);
int FindFile(char *, char *, int);
int buildspec(char *, char *);
int reachedMAXDIRENT(int);
int HelpKeys(int *);
void releaseMenu(struct menu *, int);
void strTruncate(char *, int);
void getUserTools(void);
void setwindow(int, int, int, int);
void mygotoxy(int, int);
void textreplace(int, int, int, int);
int winopen(struct windows *);
void winclose(struct windows *);
void wintextreplace(struct windows *);
void winrestorewindow(struct windows *);
void draw_box(struct windows *);
void setattribute(int);
void aputc(int, int);
void mycputs(int, int, char *);
void stylechange(int);
int findnewchar(int, int);
int boxmatch(unsigned int, char *);
int boxdraw(int);
void WarningMessage(char **);
int loadInfoText(struct windows *, char **);
void closehelpsheet(void);
int stillroom(void);
char *loPush(char *);
char *hiPush(char *);
int loPull(char *);
int hiPull(char *);
void decrROW(void);
void incrROW(void);
void lineup(void);
void linedn(void);
int Crefreshh(LLONG);
void Prefreshh(int);
int refreshh(LLONG);
void edup(void);
void eddn(void);
void homeit(void);
void endit(void);
void edright(void);
void edleft(void);
int addln(char *, int);
int addstring(char *, char *, int, int);
void delln(char *);
void hiloPACK(void);
int HIBLtoLOW(void);
void HiToLowBlockMove(int);
void lohiPACK(void);
void LowToHighBlockMove(int);
int LOBLtoHI(void);
void startup(void);
void topfile(void);
void eofile(void);
int massdelete(int, LLONG);
int maketempfilename(char *);
int closef(char *);
int exists(char *);
int classify(char *);
int FILEtoDISK(FILE *);
int unload(FILE *, char *, char *);
void CenterRefresh(void);
void editln(int);
void lnumcount(void);
void recordbanner(void);
void lcount(void);
void char2asciiBASE(int, char *, int, int);
int makeasciistatus(void);
LLONG pushlines(int, int, struct bigarray far *, LLONG);
LLONG poplines(int, int, int, int *, int *);
int divide(void);
int testindent(void);
void join(void);
int curfix(int, int);
int ffind(void);
int middle(LLONG);
int findlinematch(int);
int rfind(void);
int findlastmatch(char far *);
void showsearch(int);
int search(int);
int showmatch(int);
void unshowmatch(void);
int srchcount(void);
void setinputoutput(void);
int chartranspose(void);
void linetranspose(void);
void printformat(void);
void printsetup(void);
void markblock(int);
LLONG getoffset(void);
void swapmarker(void);
void showregion(int, int);
void setcorner(void);
void badregion(void);
int regionbanner(char *, char *);
void killline(void);
int getkillercore(void);
void addfailed(void);
int addtolist(char *, int, int);
void killblk(struct bigarray far *, int);
int savelist(void);
void purgelist2notepad(int);
int poplist(int);
void copysrcharg(char *);
int circularlist(int, int);
void getsrcharg(char *, int);
int yanklist(void);
int zap(char *);
void dozap(int, int);
int MYisalpha(int);
char *sobl(char *);
int nextword(int);
void prevword(void);
int getfile(char *);
void setfinfo(struct fileinfo *);
void killfinfo(struct fileinfo *);
void scrapfile(int);
int getafile(char *);
void reportfilekind(void);
void reportsplit(void);
void convertall(int);
void cvblk(int,int);
int inject(char *);
int getslot(void);
int corefinfo(int, char *);
int startindex(int);
int getmeminfoindex(int, int);
int addinfo(int, int, int, int, int);
int killinfo(int);
void initfinfo(void);
void savefinfo(int);
void getfinfo(int *);
int stowaway(void);
void setoffset(int);
void setfile(int);
int newedit(int);
int PackScreenBuffer(int);
void deFRAG(void);
int UnPackScreenBuffer(int);
int putLOWblock(void);
int putHIblock(void);
int getLOWblock(void);
int getHIblock(void);
int nextfile(int);
void pressany(char *);
void bellpressany(char *);
int isdirty(void);
int showdirty(void);
int usedfiles(void);
int isinfo(char *);
int freespace(void);
char *getwdir(char *);
void stripstars(char *);
void dirsplit(char *, char *);
char *ffname(char *);
char *statbyte(char *);
int squirrel(char **, char *);
int getbufferlist(char **, int *);
void fixslashes(char *);
void addslash(char *);
void backslashes(char *);
char *lastchar(char *);
int isadir(char *);
#if !MSDOS
int findfirst(char *, char *);
int findnext(char *);
#endif
int iswild(char *);
int dir(char *, int, int, char *, char **);
void etype(char *);
void termcanon(void);
void termraw(void);
void termSetup(void);
void termDoExit(void);
void setscroll(int);
unsigned int bufget(void);
void clrcon(void);
void bufput(int);
LLong ccBIOS(int);
int testkey(void);
void moveMEM(char *, char *, LLong);
void nearmemorybaseinit(void);
void segcopy(char far *,char far *,int);
#if !LCCWIN32 /* eread == read, ewrite == write */
#if 0 /* macOSX */
ssize_t  eread(int, void *, size_t);
ssize_t  ewrite(int, const void *, size_t);
#endif
int eread(int, char far *, int);     
int ewrite(int, char far *, int);
#endif
char far *getmemblock(int);
int crBLOCK(void);
int getfirstused(int);
void XMSmoveblock(int,int);
void swapblockP(int,int);
int get_XMS_block(int,unsigned);
void swapblockP(int,int);
void XMSinit(void);
void XMSloadSWAPBL(void);
void XMSfree(void);
void insORdel(unsigned);
FILE *fopenbread(char *);
FILE *fopenbwrite(char *);
int closedfile(FILE *);
void win_change(int);
void resetWinSize(int *, int *);
int doWinUpdate(void);
void quit(int);
void initterminal(void);
void exitterminal(void);
void setcolorsUNIX(int);
void setansicolors(void);
void setup(void);
void putcursor(int, int);
void dellin(void);
void inslin(void);
void eraseol(void);
void cleardisplay(void);
void clearlines(int);
void clearscreen(void);
void clears(void);
void blankit(unsigned,unsigned char);
void home(void);
void killstatus(void);
void crlf(void);
void linedelete(void);
void bell(void);
void lineinsert(void);
void revindex(void);
void fwdindex(void);
void invvideo(int);
void erachar(void);
void banner(char *);
void bbanner(char *, char *);
int noroom(void);
void curses(void);
void getprogramname(char *);
void setfiledefaults(void);
void queryLocalPiSet(void);
char *fpick(char *, char *);
char *core(int);
void newcore(char **, char *);
int safecore(char **, char *);
void fartonearstrcpy(char *, char far *);
int farsafecore(char far **, char *);
void getcorememblock(void);
void freeup(char *);
void farfree(void far *);
void grabtoken(char *, char *);
void strnzcpy(char *, char *, int);
void displaymemoryleft(void);
void loadinifile(int, char **);
void getsetupsDIR(char *, int *);
void getsetupsSET(char *, int *);
void loadtcap(int, char **);
char *setkeydefault(void);
void setMode(void);
void setEmacs(void);
void setWdstar(void);
void setWdperf(void);
void loadkeys(int, char **);
int getkeyseq(char *, char *);
int getkeyslot(void);
int getmacroslot(int *);
int identifykey(unsigned int, char *);
void killduplicates(char *);
void copymacro(void);
int addkey(int);
int killkey(char *);
void showkeys(void);
int isinside(char *, char *);
int keyinsert(char *, int, int);
int keyconflict(char *, int *, int *, char *);
int readkeymap(void);
int pidumpkey(void);
int pimacrodump(void);
int isSeqMatch(char *, char *);
void macrodump(FILE *);
int moveFileToPIbackups(char *, char *);
char *macrosfile(int, char *, int);
int isacommentline(char *);
int isaheaderline(char *, int *);
void getMacroTitle(int, char *);
void getToolTitle(int, char *);
int newmacrotitle(int);
int newtooltitle(int);
int getTitle(int, int);
void documentAddKill(int, char *, int, char *);
int getHeaderLine(int, char *);
void printseq(char *, char *, char *);
int istrchr(char *, int);
int functionkey(char *, char *);
char *skipto(char *, char *);
int loadkeymap(char *);
int loadrc(char *);
void etputs(char *, int);
void tblkill(unsigned int, char *);
void tblinsert(unsigned int, char *);
void fputsline(char *, FILE *);
int fgetLN(char *, FILE *);
void tcap_to_string(char *, unsigned char *);
char *sob(char *);
char *fnb(char *);
void textcenter(void);
void reform(void);
void fixline(void);
int firstnonblank(char *);
void fillfront(char *, int, char *);
char *ju(char *, char *, int);
void setcolors(void);
void setcolormono(void);
void setcolorinverse(void);
void helpcputs(char *);
void clrscrn(void);
void cr(void);
int isHTML(char *);
int isaheader(char *);
void getReturnKey(void);
void killLinefeed(char *);
int fgetline(char *, FILE *);
void help(void);
int crBLOCK(void);
int rlBLOCK(unsigned int);
void XMSfree(void);
void CPfromBLOCK(int, char *, int);
int CPtoBLOCK(int, char *, int);
void slowkillcrlf(char far *, char far *, int *, int *, int *);
LLONG atoiLL(char *);
char *MYstrrchr(unsigned char *,int);
char *MYstrchr(unsigned char *,int);
char *lltoa(LLONG, char *);
void ePrint(char *);
int eePrint(char *, char *);
void strinvvideo(char *);
void setdrawbuff(void);
void drawall(void);
void xPrint(char *, int, int);
void setcursortype(int);
void setcursor(unsigned);
void equipment(void);
int getvideomode(void);
void setvideomode(unsigned);
void cursorstyleset(char,char);
void shortclick(char,char,int);
int iscga(void);
void waitsync(void);
int isWinEnhanced(void);
#if MSDOS
void _setargv(void);
void *malloc(unsigned);
void far *farmalloc(unsigned long);
char *getwdir(char *);
int bioskey(char);
int getdrive(void);
void setdrive(int);
#endif
int nothing(void);
void ctrlbreak(int);
void mysystem(char *);
int farstrlen(char far *);
int startof(char far *, int);
void sdetab(char far *, char *);
int midstr(char far *, int *);
int strc(char far *);
int strd(char far *, int *);
int strccmp(char *, char *, int);
int fold(int);
char *strstart(char *);
char *endof(char *);
void strip(char *);
char *detab(char *, char *);
int dotabs(char *);
void unsetbits(char *);
char *toprint(char *);
int strmov(char *, char *);
int tailchar(char *);
int MYisupper(int);
int MYislower(int);
int MYtoupper(int);
int MYtolower(int);
int MYmax(int, int);
int MYmin(int, int);
int MYabs(int);
int MYstrncmp(unsigned char *,unsigned char *,int);
int MYstrcmp(unsigned char *,unsigned char *);
char *MYstrstr(unsigned char *,unsigned char *);
void fillchr(char *, int, unsigned int);
void cvupper(char *);         
void menumouse(int);
int setmathformat(void);
int convert2double(char *);
char *skipdecimal(char *);
char *skipdigits(char *);
int calculator(char *);
void setLCCWIN32colors(void);
void setLCCWIN32menucolors(void);
void setLCCWIN32inversecolors(void);
int getchGNU(void);
char *tgetstr(char *, char **);
int CreateFILEcopy(char *,char *);
int mymkdir(char *);
void modeFix(char *);
void modeSetup(char *);
#endif
